# getPodNamesIterator method

1. @override

Iterator<String> getPodNamesIterator()
override

Returns an iterator over all pod names in the factory.

This provides low-level access to iterate through all registered pods.

## Usage Example:

    final iterator = factory.getPodNamesIterator();
    while (iterator.moveNext()) {
      print('Pod: ${iterator.current}');
    }

@return An iterator for all pod names

## Implementation

    @override
    Iterator<String> getPodNamesIterator() {
      final allNames = <String>{};

      // Add pod definition names first
      allNames.addAll(getDefinitionNames());

      // Add manually registered singleton names
      final singletonNames = getSingletonNames();
      for (final name in singletonNames) {
        if (!allNames.contains(name)) {
          allNames.add(name);
        }
      }

      return allNames.iterator;
    }